<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: pkcs11.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li><li class="navelem"><a class="el" href="dir_0305ef0b9c5cda6a81ea81c51a763f67.html">rsaref</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">pkcs11.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;openssl/x509.h&gt;</code><br />
<code>#include &quot;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="pkcs11f_8h_source.html">pkcs11f.h</a>&quot;</code><br />
</div>
<p><a href="pkcs11_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__FUNCTION__LIST.html">CK_FUNCTION_LIST</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a423401496b51f5c72a74e5502b47fd7d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#a423401496b51f5c72a74e5502b47fd7d">CK_PTR</a>&#160;&#160;&#160;*</td></tr>
<tr class="separator:a423401496b51f5c72a74e5502b47fd7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa21d2a59f7de7ecc92a13e2958bb60b8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#aa21d2a59f7de7ecc92a13e2958bb60b8">CK_DEFINE_FUNCTION</a>(returnType,  name)&#160;&#160;&#160;returnType name</td></tr>
<tr class="separator:aa21d2a59f7de7ecc92a13e2958bb60b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30315d302108bcfb354196f37b16a492"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#a30315d302108bcfb354196f37b16a492">CK_DECLARE_FUNCTION</a>(returnType,  name)&#160;&#160;&#160;returnType name</td></tr>
<tr class="separator:a30315d302108bcfb354196f37b16a492"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad472a68fb8e3eb9ba40169f5180b3b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#aad472a68fb8e3eb9ba40169f5180b3b7">CK_DECLARE_FUNCTION_POINTER</a>(returnType,  name)&#160;&#160;&#160;returnType (* name)</td></tr>
<tr class="separator:aad472a68fb8e3eb9ba40169f5180b3b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5235e6437759c93b8189b124c8c807cf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#a5235e6437759c93b8189b124c8c807cf">CK_CALLBACK_FUNCTION</a>(returnType,  name)&#160;&#160;&#160;returnType (* name)</td></tr>
<tr class="separator:a5235e6437759c93b8189b124c8c807cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a530f11a96e508d171d28564c8dc20942"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#a530f11a96e508d171d28564c8dc20942">NULL_PTR</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:a530f11a96e508d171d28564c8dc20942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3ae5768889bec57a63f08b6a6e5f58d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#ac3ae5768889bec57a63f08b6a6e5f58d">__PASTE</a>(x,  y)&#160;&#160;&#160;x##y</td></tr>
<tr class="separator:ac3ae5768889bec57a63f08b6a6e5f58d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a427a6a11246534e2c0d569e21cc854b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#a427a6a11246534e2c0d569e21cc854b9">CK_NEED_ARG_LIST</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a427a6a11246534e2c0d569e21cc854b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac496f7959ba2c28cd7a2b5f5ac34628b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#ac496f7959ba2c28cd7a2b5f5ac34628b">CK_PKCS11_FUNCTION_INFO</a>(name)&#160;&#160;&#160;extern <a class="el" href="pkcs11_8h.html#a30315d302108bcfb354196f37b16a492">CK_DECLARE_FUNCTION</a>(<a class="el" href="pkcs11t_8h.html#a33839c131011ca3849dc35c11f69c39d">CK_RV</a>, name)</td></tr>
<tr class="separator:ac496f7959ba2c28cd7a2b5f5ac34628b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac496f7959ba2c28cd7a2b5f5ac34628b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#ac496f7959ba2c28cd7a2b5f5ac34628b">CK_PKCS11_FUNCTION_INFO</a>(name)&#160;&#160;&#160;typedef <a class="el" href="pkcs11_8h.html#aad472a68fb8e3eb9ba40169f5180b3b7">CK_DECLARE_FUNCTION_POINTER</a>(<a class="el" href="pkcs11t_8h.html#a33839c131011ca3849dc35c11f69c39d">CK_RV</a>, <a class="el" href="pkcs11_8h.html#ac3ae5768889bec57a63f08b6a6e5f58d">__PASTE</a>(CK_,name))</td></tr>
<tr class="separator:ac496f7959ba2c28cd7a2b5f5ac34628b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac496f7959ba2c28cd7a2b5f5ac34628b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pkcs11_8h.html#ac496f7959ba2c28cd7a2b5f5ac34628b">CK_PKCS11_FUNCTION_INFO</a>(name)&#160;&#160;&#160;<a class="el" href="pkcs11_8h.html#ac3ae5768889bec57a63f08b6a6e5f58d">__PASTE</a>(CK_,name) name;</td></tr>
<tr class="separator:ac496f7959ba2c28cd7a2b5f5ac34628b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ac3ae5768889bec57a63f08b6a6e5f58d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3ae5768889bec57a63f08b6a6e5f58d">&#9670;&nbsp;</a></span>__PASTE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __PASTE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">y&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;x##y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00057">57</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="a5235e6437759c93b8189b124c8c807cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5235e6437759c93b8189b124c8c807cf">&#9670;&nbsp;</a></span>CK_CALLBACK_FUNCTION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CK_CALLBACK_FUNCTION</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">returnType, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;returnType (* name)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00032">32</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="a30315d302108bcfb354196f37b16a492"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30315d302108bcfb354196f37b16a492">&#9670;&nbsp;</a></span>CK_DECLARE_FUNCTION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CK_DECLARE_FUNCTION</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">returnType, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;returnType name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00028">28</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="aad472a68fb8e3eb9ba40169f5180b3b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad472a68fb8e3eb9ba40169f5180b3b7">&#9670;&nbsp;</a></span>CK_DECLARE_FUNCTION_POINTER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CK_DECLARE_FUNCTION_POINTER</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">returnType, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;returnType (* name)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00030">30</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="aa21d2a59f7de7ecc92a13e2958bb60b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa21d2a59f7de7ecc92a13e2958bb60b8">&#9670;&nbsp;</a></span>CK_DEFINE_FUNCTION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CK_DEFINE_FUNCTION</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">returnType, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;returnType name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00026">26</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="a427a6a11246534e2c0d569e21cc854b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a427a6a11246534e2c0d569e21cc854b9">&#9670;&nbsp;</a></span>CK_NEED_ARG_LIST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CK_NEED_ARG_LIST&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00065">65</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="ac496f7959ba2c28cd7a2b5f5ac34628b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac496f7959ba2c28cd7a2b5f5ac34628b">&#9670;&nbsp;</a></span>CK_PKCS11_FUNCTION_INFO <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CK_PKCS11_FUNCTION_INFO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td>&#160;&#160;&#160;extern <a class="el" href="pkcs11_8h.html#a30315d302108bcfb354196f37b16a492">CK_DECLARE_FUNCTION</a>(<a class="el" href="pkcs11t_8h.html#a33839c131011ca3849dc35c11f69c39d">CK_RV</a>, name)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00105">105</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="ac496f7959ba2c28cd7a2b5f5ac34628b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac496f7959ba2c28cd7a2b5f5ac34628b">&#9670;&nbsp;</a></span>CK_PKCS11_FUNCTION_INFO <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CK_PKCS11_FUNCTION_INFO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td>&#160;&#160;&#160;typedef <a class="el" href="pkcs11_8h.html#aad472a68fb8e3eb9ba40169f5180b3b7">CK_DECLARE_FUNCTION_POINTER</a>(<a class="el" href="pkcs11t_8h.html#a33839c131011ca3849dc35c11f69c39d">CK_RV</a>, <a class="el" href="pkcs11_8h.html#ac3ae5768889bec57a63f08b6a6e5f58d">__PASTE</a>(CK_,name))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00105">105</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="ac496f7959ba2c28cd7a2b5f5ac34628b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac496f7959ba2c28cd7a2b5f5ac34628b">&#9670;&nbsp;</a></span>CK_PKCS11_FUNCTION_INFO <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CK_PKCS11_FUNCTION_INFO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="pkcs11_8h.html#ac3ae5768889bec57a63f08b6a6e5f58d">__PASTE</a>(CK_,name) name;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00105">105</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="a423401496b51f5c72a74e5502b47fd7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a423401496b51f5c72a74e5502b47fd7d">&#9670;&nbsp;</a></span>CK_PTR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CK_PTR&#160;&#160;&#160;*</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00025">25</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
<a id="a530f11a96e508d171d28564c8dc20942"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a530f11a96e508d171d28564c8dc20942">&#9670;&nbsp;</a></span>NULL_PTR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NULL_PTR&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11_8h_source.html#l00035">35</a> of file <a class="el" href="pkcs11_8h_source.html">pkcs11.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
